## erlang-meck 0.7.2

=== Makefile ===
REBAR=`which rebar || ./rebar`

all: compile

compile:
	@$(REBAR) compile

test: force
	@$(REBAR) eunit

clean:
	@$(REBAR) clean

force: ;

=== debian/changelog ===
erlang-meck (0.7.2-4) unstable; urgency=low

  * Update debian/rules.
    Disable test on mips mipsel armel sh4.
    Because they are late, these become the error in a part.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 02 Jul 2013 11:08:18 +0900

erlang-meck (0.7.2-3) unstable; urgency=low

  * Update debian/control.
    Update Standards-Version to 3.9.4.
  * Fix FTBFS with Erlang/OTP R16. (Closes: #713530)
    Add patches/0001-Remove-parametrized-module-test.patch.
  * Add debian/watch.
    Thanks to Bart Martens <bartm@debian.org>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 01 Jul 2013 12:55:36 +0900

erlang-meck (0.7.2-2) unstable; urgency=low

  * Update debian/rules.
    Add override_dh_auto_test. Change which do eunit in this target with
    HOME of environment variable. (Closes: #689938)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 09 Oct 2012 08:10:24 +0900

erlang-meck (0.7.2-1) unstable; urgency=low

  * Initial release. (Closes: #689553)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 03 Aug 2012 01:35:55 +0900

=== debian/control ===
Source: erlang-meck
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), 
	debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
	erlang-eunit, rebar
Homepage: https://github.com/eproxus/meck
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-meck.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-meck.git

Package: erlang-meck
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
Enhances: erlang
Description: mocking library for Erlang
 With meck you can easily mock modules in Erlang.
 You can also perform some basic validations on the mocked modules, such as
 making sure no unexpected exceptions occurred or looking at the call history.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq (,$(findstring $(DEB_HOST_ARCH),mips mipsel armel sh4))
disable_test=1
else
disable_test=0
endif
PACKAGE=meck
VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')

%:
	dh $@

override_dh_auto_test:
ifeq "$(disable_test)" "0"
	HOME=/tmp rebar eunit -vv
endif

override_dh_auto_install:
	dh_auto_install

	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin/

override_dh_gencontrol-arch:
	erlang-depends -a
	dh_gencontrol -a

override_dh_compress-arch:
	dh_compress -X.erl -X.beam

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
https://github.com/eproxus/meck/tags .*/(?:v||meck[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sun, 06 Jan 2013 20:51:27 +0000

## erlang-meck 0.8.1+dfsg

=== Makefile ===
PLTFILE=$(CURDIR)/.deps.plt
APP_DEPS=kernel stdlib eunit tools compiler
ERLFLAGS= -pa $(CURDIR)/.eunit -pa $(CURDIR)/ebin -pa $(CURDIR)/deps/*/ebin

REBAR="./rebar"
ifeq ($(REBAR),)
$(error "Rebar not available on this system")
endif

ERL = $(shell which erl)
ifeq ($(ERL),)
$(error "Erlang must be available on this system")
endif

BUILD_PLT_INC=$(shell test -d deps && echo '-r deps')
DIALYZER_INC=$(shell test -d include && echo '-I include') $(shell test -d deps && echo '-I deps')

.PHONY: all rebuild compile doc clean test dialyzer typer get-deps clean-deps \
	shell clean-plt clean-doc distclean

all: get-deps compile test doc

rebuild: distclean get-deps all

get-deps:
	@$(REBAR) -C test.config get-deps
	@$(REBAR) -C test.config compile

compile:
	@$(REBAR) -C test.config skip_deps=true compile

doc:
	@$(REBAR) -C test.config skip_deps=true doc

clean:
	@$(REBAR) -C test.config skip_deps=true clean

test: get-deps
	@$(REBAR) -C test.config skip_deps=true eunit

$(PLTFILE):
	- dialyzer --build_plt --apps $(APP_DEPS) $(BUILD_PLT_INC) --output_plt $(PLTFILE)

dialyzer: compile $(PLTFILE)
	@dialyzer --fullpath --plt $(PLTFILE) $(DIALYZER_INC) -pa $(CURDIR)/ebin -c src --src | \
	fgrep -v -f ./dialyzer.ignore-warnings

typer:
	typer --plt $(PLTFILE) $(DIALYZER_INC) -r src

shell:
	@$(ERL) $(ERLFLAGS)

clean-plt:
	@rm -rf $(PLTFILE)

clean-doc:
	@cd doc; ls * | grep -v overview.edoc | xargs rm -f

clean-deps:
	@rm -rvf $(CURDIR)/deps/*

distclean: clean clean-plt clean-doc clean-deps

=== debian/changelog ===
erlang-meck (0.8.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove patches.
  * Update debian/rules.
    - Disable test. Eunit requires hamcrest library.
  * Update debian/watch.
    - Fix lintian warning: "debian-watch-file-should-mangle-version line 3"

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 15 Oct 2013 08:27:06 +0900

erlang-meck (0.7.2-6) unstable; urgency=low

  * Update debian/control.
    - Add dh-rebar to Build-Depends.
  * Update debian/rules.
    - Changed to use dh-rebar.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 18 Aug 2013 08:05:47 +0900

erlang-meck (0.7.2-5) unstable; urgency=low

  * Update debian/control.
    - Add erlang-dialyzer to Build-Depends.
      Fix FTBFS if built with Erlang R16B01.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 30 Jul 2013 09:08:22 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), 
 	debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
-	erlang-eunit, rebar
+	erlang-eunit, erlang-dialyzer, dh-rebar
 Homepage: https://github.com/eproxus/meck
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-meck.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-meck.git
@@ -15,7 +15,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
-Enhances: erlang
 Description: mocking library for Erlang
  With meck you can easily mock modules in Erlang.
  You can also perform some basic validations on the mocked modules, such as

## erlang-meck 0.8.2%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -24,10 +24,9 @@
 
 get-deps:
 	@$(REBAR) -C test.config get-deps
-	@$(REBAR) -C test.config compile
 
 compile:
-	@$(REBAR) -C test.config skip_deps=true compile
+	@$(REBAR) -C rebar.config skip_deps=true compile
 
 doc:
 	@$(REBAR) -C test.config skip_deps=true doc
@@ -35,7 +34,8 @@
 clean:
 	@$(REBAR) -C test.config skip_deps=true clean
 
-test: get-deps
+test: get-deps compile
+	@$(REBAR) -C test.config compile
 	@$(REBAR) -C test.config skip_deps=true eunit
 
 $(PLTFILE):

## erlang-meck 0.8.2+dfsg

=== debian/changelog ===
erlang-meck (0.8.2+dfsg-1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Philipp Huebner <debalance@debian.org>  Tue, 14 Mar 2017 18:16:17 +0100

erlang-meck (0.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #747934)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 21 May 2014 16:07:10 +0900

=== debian/control ===
Source: erlang-meck
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:17.3),
	erlang-eunit, erlang-dialyzer, dh-rebar
Homepage: https://github.com/eproxus/meck
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-meck.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-meck.git

Package: erlang-meck
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	erlang-base-hipe (>= 1:17.3) | erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}
Description: mocking library for Erlang
 With meck you can easily mock modules in Erlang.
 You can also perform some basic validations on the mocked modules, such as
 making sure no unexpected exceptions occurred or looking at the call history.

## erlang-meck 0.8.3%2Bdfsg

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/meck-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/eproxus/meck/tags .*/(?:v||meck[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## erlang-meck 0.8.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PLTFILE=$(CURDIR)/.deps.plt
-APP_DEPS=kernel stdlib eunit tools compiler
+APP_DEPS=kernel stdlib eunit tools compiler erts
 ERLFLAGS= -pa $(CURDIR)/.eunit -pa $(CURDIR)/ebin -pa $(CURDIR)/deps/*/ebin
 
 REBAR="./rebar"
@@ -18,7 +18,7 @@
 .PHONY: all rebuild compile doc clean test dialyzer typer get-deps clean-deps \
 	shell clean-plt clean-doc distclean
 
-all: get-deps compile test doc
+all: get-deps compile
 
 rebuild: distclean get-deps all

=== debian/changelog ===
erlang-meck (0.8.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control.
    Bumped Standards-Version to 3.9.6.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 03 Sep 2015 03:37:43 +0900

=== debian/control ===
Source: erlang-meck
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
	erlang-eunit, erlang-dialyzer, dh-rebar
Homepage: https://github.com/eproxus/meck
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-meck.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-meck.git

Package: erlang-meck
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
Description: mocking library for Erlang
 With meck you can easily mock modules in Erlang.
 You can also perform some basic validations on the mocked modules, such as
 making sure no unexpected exceptions occurred or looking at the call history.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=rebar --with rebar

## erlang-meck 0.8.4+dfsg

=== debian/changelog ===
erlang-meck (0.8.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control.
    Bumped Standards-Version to 3.9.7.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 10 Mar 2016 01:11:27 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
 	erlang-eunit, erlang-dialyzer, dh-rebar
 Homepage: https://github.com/eproxus/meck

## erlang-meck 0.8.7

=== debian/changelog ===
erlang-meck (0.8.7-2) unstable; urgency=medium

  * Change maintainer address to Debian Erlang Packagers
    <pkg-erlang-devel@lists.alioth.debian.org>. (Closes: #899492)
  * Change Vcs-Browser and Vcs-Git to salsa.
  * Bump Standards-Version to 4.1.4.
  * Update debhelper to 11.
  * Get rid of lintian 'insecure-copyright-format-uri'.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 30 May 2018 12:22:13 +0900

erlang-meck (0.8.7-1) unstable; urgency=medium

  * New upstream release.
  * Bumped Standards-Version to 4.0.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 10 Jul 2017 10:42:42 +0900

=== debian/control ===
Source: erlang-meck
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
	erlang-eunit, erlang-dialyzer, dh-rebar
Homepage: https://github.com/eproxus/meck
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-meck.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-meck

Package: erlang-meck
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
Description: mocking library for Erlang
 With meck you can easily mock modules in Erlang.
 You can also perform some basic validations on the mocked modules, such as
 making sure no unexpected exceptions occurred or looking at the call history.

## erlang-meck 0.9.2

=== debian/changelog ===
erlang-meck (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2
  * Switch package to Architecture: all
  * Update debian/copyright
  * Update Standards-Version: 4.6.0 (no changes needed)
  * Update debhelper compat version: 13
  * Update version of debian/watch: 4
  * Update Uploaders and (Build-)Depends
  * Make build deterministic
  * Add lintian overrides
  * Clean debian/dh-rebar.conf
  * Add debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Jan 2022 15:12:10 +0100

=== debian/control ===
Source: erlang-meck
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>, Philipp Huebner <debalance@debian.org>
Section: devel
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-meck.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-meck
Homepage: https://github.com/eproxus/meck

Package: erlang-meck
Architecture: all
Depends: ${erlang:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: mocking library for Erlang
 With meck you can easily mock modules in Erlang.
 You can also perform some basic validations on the mocked modules, such as
 making sure no unexpected exceptions occurred or looking at the call history.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS=deterministic


%:
	dh $@ --buildsystem=rebar --with rebar

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/meck-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/eproxus/meck/tags .*/(?:v||meck[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## erlang-meck 1.0.0

=== debian/changelog ===
erlang-meck (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Fixed building the package without git
  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 08 Feb 2025 16:17:32 +0100

erlang-meck (0.9.2-2) unstable; urgency=medium

  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated lintian overrides
  * Updated years in debian/copyright
  * Updated debian/rules

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 15:45:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar
-Standards-Version: 4.6.0
+               dh-rebar (>= 0.0.6)
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-meck.git
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-meck
 Homepage: https://github.com/eproxus/meck

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,16 @@
 include /usr/share/dpkg/default.mk
 export ERL_COMPILER_OPTIONS=deterministic
 
+DESTDIR=$(CURDIR)/debian/erlang-meck
+
 
 %:
 	dh $@ --buildsystem=rebar --with rebar
+
+
+override_dh_auto_configure:
+	sed -i "s/git\}/\"$(DEB_VERSION_UPSTREAM)\"\}/" src/meck.app.src
+
+override_dh_auto_clean:
+	dh_auto_clean
+	sed -i 's/vsn, ".*"/vsn, git/' src/meck.app.src
